%global pypi_name nose-parameterized

Name:		python-nose-parameterized
Version:	0.6.0
Release:	2%{?dist}
Summary:	Decorator for parameterized testing with Nose

License:	BSD
URL:		https://github.com/wolever/nose-parameterized		
Source0:	https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# wget -O python-nose-parameterized-license.txt https://raw.github.com/wolever/nose-parameterized/master/LICENSE.txt
Source1:	python-nose-parameterized-license.txt
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-nose
BuildRequires:	python3-six

%global _description\
Library that improving nose test generators with a decorator that fixes\
the frequent requirement of a second function, the difficulty to separate\
the data from the tests and the impossibility of working with subclases of\
unittest.TestCase

%description %_description

%package -n python3-nose-parameterized
Summary:	Decorator for parameterized testing with Nose
Requires:	python3-nose
Requires:	python3-six

%description -n python3-nose-parameterized
Library that improving nose test generators with a decorator that fixes
the frequent requirement of a second function, the difficulty to separate
the data from the tests and the impossibility of working with subclases of
unittest.TestCase

%prep
%setup -qn %{pypi_name}-%{version}
# Remove bundled egg
rm -rf nose_parameterized.egg-info
cp -a %{SOURCE1} .



%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}


%check
python3 -m "nose"

 
%files -n python3-nose-parameterized
%doc python-nose-parameterized-license.txt README.rst PKG-INFO
%{python3_sitelib}/nose_parameterized
%{python3_sitelib}/nose_parameterized-*.egg-info

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 25 2018 Eduardo Echeverria <echevemaster@gmail.com - 0-6.0-1
- Remove python2 package due to https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal 

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.5-12
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.5-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.5-9
- Python 2 binary package renamed to python2-nose-parameterized
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.5-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 04 2015 Robert Kuska <rkuska@redhat.com> - 0.3.5-3
- Rebuilt for Python3.5 rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 01 2015 Eduardo Echeverria <echevemaster@gmail.com> 0.3.5-1
- Update to new upstream version 
- removed unneeded patch, six already not a bundled library anymore

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Jan 26 2014 Eduardo Echeverria <echevemaster@gmail.com> 0.3.3-2
- fixed bad retrieving of requires

* Wed Jan 22 2014 Eduardo Echeverria <echevemaster@gmail.com> 0.3.3-1
- Initial packaging
